Package: org.codehaus.groovy.tools.groovydoc

## [Java] Class GroovyRootDocBuilder

- org.codehaus.groovy.tools.groovydoc.GroovyRootDocBuilder

-     public class GroovyRootDocBuilder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyRootDocBuilder(GroovyDocTool tool, String[] sourcepaths, List<LinkArgument> links, Properties properties)`
    `GroovyRootDocBuilder(String[] sourcepaths, List<LinkArgument> links, Properties properties)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `buildTree(List<String> filenames)`
    `` | `public GroovyRootDoc` | `getRootDoc()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### @Deprecated
      public GroovyRootDocBuilder(GroovyDocTool tool, String[] sourcepaths, List<LinkArgument> links, Properties properties)

    - #### public GroovyRootDocBuilder(String[] sourcepaths, List<LinkArgument> links, Properties properties)

  - ### Method Detail

    - #### public void buildTree(List<String> filenames)

    - #### public GroovyRootDoc getRootDoc()